Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network11.192.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
11.192.0.0
Broadcast address
11.255.255.255
First usable
11.192.0.1
Last usable
11.255.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 0BC00000 · Integer 197132288 to 201326591
Reverse DNS zones
192.11.in-addr.arpa
193.11.in-addr.arpa
194.11.in-addr.arpa
195.11.in-addr.arpa
196.11.in-addr.arpa
197.11.in-addr.arpa
198.11.in-addr.arpa
199.11.in-addr.arpa
200.11.in-addr.arpa
201.11.in-addr.arpa
202.11.in-addr.arpa
203.11.in-addr.arpa
204.11.in-addr.arpa
205.11.in-addr.arpa
206.11.in-addr.arpa
207.11.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001011.11000000.00000000.0000000011.192.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00001011.11000000.00000000.0000000011.192.0.0
Broadcast00001011.11111111.11111111.1111111111.255.255.255
Split into smaller subnets/21

11.192.0.0/10 makes 2,048 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
111.192.0.0/2111.192.0.1 to 11.192.7.25411.192.7.2552,046
211.192.8.0/2111.192.8.1 to 11.192.15.25411.192.15.2552,046
311.192.16.0/2111.192.16.1 to 11.192.23.25411.192.23.2552,046
411.192.24.0/2111.192.24.1 to 11.192.31.25411.192.31.2552,046
511.192.32.0/2111.192.32.1 to 11.192.39.25411.192.39.2552,046
611.192.40.0/2111.192.40.1 to 11.192.47.25411.192.47.2552,046
711.192.48.0/2111.192.48.1 to 11.192.55.25411.192.55.2552,046
811.192.56.0/2111.192.56.1 to 11.192.63.25411.192.63.2552,046
911.192.64.0/2111.192.64.1 to 11.192.71.25411.192.71.2552,046
1011.192.72.0/2111.192.72.1 to 11.192.79.25411.192.79.2552,046
1111.192.80.0/2111.192.80.1 to 11.192.87.25411.192.87.2552,046
1211.192.88.0/2111.192.88.1 to 11.192.95.25411.192.95.2552,046
1311.192.96.0/2111.192.96.1 to 11.192.103.25411.192.103.2552,046
1411.192.104.0/2111.192.104.1 to 11.192.111.25411.192.111.2552,046
1511.192.112.0/2111.192.112.1 to 11.192.119.25411.192.119.2552,046
1611.192.120.0/2111.192.120.1 to 11.192.127.25411.192.127.2552,046
1711.192.128.0/2111.192.128.1 to 11.192.135.25411.192.135.2552,046
1811.192.136.0/2111.192.136.1 to 11.192.143.25411.192.143.2552,046
1911.192.144.0/2111.192.144.1 to 11.192.151.25411.192.151.2552,046
2011.192.152.0/2111.192.152.1 to 11.192.159.25411.192.159.2552,046
2111.192.160.0/2111.192.160.1 to 11.192.167.25411.192.167.2552,046
2211.192.168.0/2111.192.168.1 to 11.192.175.25411.192.175.2552,046
2311.192.176.0/2111.192.176.1 to 11.192.183.25411.192.183.2552,046
2411.192.184.0/2111.192.184.1 to 11.192.191.25411.192.191.2552,046
2511.192.192.0/2111.192.192.1 to 11.192.199.25411.192.199.2552,046
2611.192.200.0/2111.192.200.1 to 11.192.207.25411.192.207.2552,046
2711.192.208.0/2111.192.208.1 to 11.192.215.25411.192.215.2552,046
2811.192.216.0/2111.192.216.1 to 11.192.223.25411.192.223.2552,046
2911.192.224.0/2111.192.224.1 to 11.192.231.25411.192.231.2552,046
3011.192.232.0/2111.192.232.1 to 11.192.239.25411.192.239.2552,046
3111.192.240.0/2111.192.240.1 to 11.192.247.25411.192.247.2552,046
3211.192.248.0/2111.192.248.1 to 11.192.255.25411.192.255.2552,046
3311.193.0.0/2111.193.0.1 to 11.193.7.25411.193.7.2552,046
3411.193.8.0/2111.193.8.1 to 11.193.15.25411.193.15.2552,046
3511.193.16.0/2111.193.16.1 to 11.193.23.25411.193.23.2552,046
3611.193.24.0/2111.193.24.1 to 11.193.31.25411.193.31.2552,046
3711.193.32.0/2111.193.32.1 to 11.193.39.25411.193.39.2552,046
3811.193.40.0/2111.193.40.1 to 11.193.47.25411.193.47.2552,046
3911.193.48.0/2111.193.48.1 to 11.193.55.25411.193.55.2552,046
4011.193.56.0/2111.193.56.1 to 11.193.63.25411.193.63.2552,046
4111.193.64.0/2111.193.64.1 to 11.193.71.25411.193.71.2552,046
4211.193.72.0/2111.193.72.1 to 11.193.79.25411.193.79.2552,046
4311.193.80.0/2111.193.80.1 to 11.193.87.25411.193.87.2552,046
4411.193.88.0/2111.193.88.1 to 11.193.95.25411.193.95.2552,046
4511.193.96.0/2111.193.96.1 to 11.193.103.25411.193.103.2552,046
4611.193.104.0/2111.193.104.1 to 11.193.111.25411.193.111.2552,046
4711.193.112.0/2111.193.112.1 to 11.193.119.25411.193.119.2552,046
4811.193.120.0/2111.193.120.1 to 11.193.127.25411.193.127.2552,046
4911.193.128.0/2111.193.128.1 to 11.193.135.25411.193.135.2552,046
5011.193.136.0/2111.193.136.1 to 11.193.143.25411.193.143.2552,046
5111.193.144.0/2111.193.144.1 to 11.193.151.25411.193.151.2552,046
5211.193.152.0/2111.193.152.1 to 11.193.159.25411.193.159.2552,046
5311.193.160.0/2111.193.160.1 to 11.193.167.25411.193.167.2552,046
5411.193.168.0/2111.193.168.1 to 11.193.175.25411.193.175.2552,046
5511.193.176.0/2111.193.176.1 to 11.193.183.25411.193.183.2552,046
5611.193.184.0/2111.193.184.1 to 11.193.191.25411.193.191.2552,046
5711.193.192.0/2111.193.192.1 to 11.193.199.25411.193.199.2552,046
5811.193.200.0/2111.193.200.1 to 11.193.207.25411.193.207.2552,046
5911.193.208.0/2111.193.208.1 to 11.193.215.25411.193.215.2552,046
6011.193.216.0/2111.193.216.1 to 11.193.223.25411.193.223.2552,046
6111.193.224.0/2111.193.224.1 to 11.193.231.25411.193.231.2552,046
6211.193.232.0/2111.193.232.1 to 11.193.239.25411.193.239.2552,046
6311.193.240.0/2111.193.240.1 to 11.193.247.25411.193.247.2552,046
6411.193.248.0/2111.193.248.1 to 11.193.255.25411.193.255.2552,046
6511.194.0.0/2111.194.0.1 to 11.194.7.25411.194.7.2552,046
6611.194.8.0/2111.194.8.1 to 11.194.15.25411.194.15.2552,046
6711.194.16.0/2111.194.16.1 to 11.194.23.25411.194.23.2552,046
6811.194.24.0/2111.194.24.1 to 11.194.31.25411.194.31.2552,046
6911.194.32.0/2111.194.32.1 to 11.194.39.25411.194.39.2552,046
7011.194.40.0/2111.194.40.1 to 11.194.47.25411.194.47.2552,046
7111.194.48.0/2111.194.48.1 to 11.194.55.25411.194.55.2552,046
7211.194.56.0/2111.194.56.1 to 11.194.63.25411.194.63.2552,046
7311.194.64.0/2111.194.64.1 to 11.194.71.25411.194.71.2552,046
7411.194.72.0/2111.194.72.1 to 11.194.79.25411.194.79.2552,046
7511.194.80.0/2111.194.80.1 to 11.194.87.25411.194.87.2552,046
7611.194.88.0/2111.194.88.1 to 11.194.95.25411.194.95.2552,046
7711.194.96.0/2111.194.96.1 to 11.194.103.25411.194.103.2552,046
7811.194.104.0/2111.194.104.1 to 11.194.111.25411.194.111.2552,046
7911.194.112.0/2111.194.112.1 to 11.194.119.25411.194.119.2552,046
8011.194.120.0/2111.194.120.1 to 11.194.127.25411.194.127.2552,046
8111.194.128.0/2111.194.128.1 to 11.194.135.25411.194.135.2552,046
8211.194.136.0/2111.194.136.1 to 11.194.143.25411.194.143.2552,046
8311.194.144.0/2111.194.144.1 to 11.194.151.25411.194.151.2552,046
8411.194.152.0/2111.194.152.1 to 11.194.159.25411.194.159.2552,046
8511.194.160.0/2111.194.160.1 to 11.194.167.25411.194.167.2552,046
8611.194.168.0/2111.194.168.1 to 11.194.175.25411.194.175.2552,046
8711.194.176.0/2111.194.176.1 to 11.194.183.25411.194.183.2552,046
8811.194.184.0/2111.194.184.1 to 11.194.191.25411.194.191.2552,046
8911.194.192.0/2111.194.192.1 to 11.194.199.25411.194.199.2552,046
9011.194.200.0/2111.194.200.1 to 11.194.207.25411.194.207.2552,046
9111.194.208.0/2111.194.208.1 to 11.194.215.25411.194.215.2552,046
9211.194.216.0/2111.194.216.1 to 11.194.223.25411.194.223.2552,046
9311.194.224.0/2111.194.224.1 to 11.194.231.25411.194.231.2552,046
9411.194.232.0/2111.194.232.1 to 11.194.239.25411.194.239.2552,046
9511.194.240.0/2111.194.240.1 to 11.194.247.25411.194.247.2552,046
9611.194.248.0/2111.194.248.1 to 11.194.255.25411.194.255.2552,046
9711.195.0.0/2111.195.0.1 to 11.195.7.25411.195.7.2552,046
9811.195.8.0/2111.195.8.1 to 11.195.15.25411.195.15.2552,046
9911.195.16.0/2111.195.16.1 to 11.195.23.25411.195.23.2552,046
10011.195.24.0/2111.195.24.1 to 11.195.31.25411.195.31.2552,046
10111.195.32.0/2111.195.32.1 to 11.195.39.25411.195.39.2552,046
10211.195.40.0/2111.195.40.1 to 11.195.47.25411.195.47.2552,046
10311.195.48.0/2111.195.48.1 to 11.195.55.25411.195.55.2552,046
10411.195.56.0/2111.195.56.1 to 11.195.63.25411.195.63.2552,046
10511.195.64.0/2111.195.64.1 to 11.195.71.25411.195.71.2552,046
10611.195.72.0/2111.195.72.1 to 11.195.79.25411.195.79.2552,046
10711.195.80.0/2111.195.80.1 to 11.195.87.25411.195.87.2552,046
10811.195.88.0/2111.195.88.1 to 11.195.95.25411.195.95.2552,046
10911.195.96.0/2111.195.96.1 to 11.195.103.25411.195.103.2552,046
11011.195.104.0/2111.195.104.1 to 11.195.111.25411.195.111.2552,046
11111.195.112.0/2111.195.112.1 to 11.195.119.25411.195.119.2552,046
11211.195.120.0/2111.195.120.1 to 11.195.127.25411.195.127.2552,046
11311.195.128.0/2111.195.128.1 to 11.195.135.25411.195.135.2552,046
11411.195.136.0/2111.195.136.1 to 11.195.143.25411.195.143.2552,046
11511.195.144.0/2111.195.144.1 to 11.195.151.25411.195.151.2552,046
11611.195.152.0/2111.195.152.1 to 11.195.159.25411.195.159.2552,046
11711.195.160.0/2111.195.160.1 to 11.195.167.25411.195.167.2552,046
11811.195.168.0/2111.195.168.1 to 11.195.175.25411.195.175.2552,046
11911.195.176.0/2111.195.176.1 to 11.195.183.25411.195.183.2552,046
12011.195.184.0/2111.195.184.1 to 11.195.191.25411.195.191.2552,046
12111.195.192.0/2111.195.192.1 to 11.195.199.25411.195.199.2552,046
12211.195.200.0/2111.195.200.1 to 11.195.207.25411.195.207.2552,046
12311.195.208.0/2111.195.208.1 to 11.195.215.25411.195.215.2552,046
12411.195.216.0/2111.195.216.1 to 11.195.223.25411.195.223.2552,046
12511.195.224.0/2111.195.224.1 to 11.195.231.25411.195.231.2552,046
12611.195.232.0/2111.195.232.1 to 11.195.239.25411.195.239.2552,046
12711.195.240.0/2111.195.240.1 to 11.195.247.25411.195.247.2552,046
12811.195.248.0/2111.195.248.1 to 11.195.255.25411.195.255.2552,046
12911.196.0.0/2111.196.0.1 to 11.196.7.25411.196.7.2552,046
13011.196.8.0/2111.196.8.1 to 11.196.15.25411.196.15.2552,046
13111.196.16.0/2111.196.16.1 to 11.196.23.25411.196.23.2552,046
13211.196.24.0/2111.196.24.1 to 11.196.31.25411.196.31.2552,046
13311.196.32.0/2111.196.32.1 to 11.196.39.25411.196.39.2552,046
13411.196.40.0/2111.196.40.1 to 11.196.47.25411.196.47.2552,046
13511.196.48.0/2111.196.48.1 to 11.196.55.25411.196.55.2552,046
13611.196.56.0/2111.196.56.1 to 11.196.63.25411.196.63.2552,046
13711.196.64.0/2111.196.64.1 to 11.196.71.25411.196.71.2552,046
13811.196.72.0/2111.196.72.1 to 11.196.79.25411.196.79.2552,046
13911.196.80.0/2111.196.80.1 to 11.196.87.25411.196.87.2552,046
14011.196.88.0/2111.196.88.1 to 11.196.95.25411.196.95.2552,046
14111.196.96.0/2111.196.96.1 to 11.196.103.25411.196.103.2552,046
14211.196.104.0/2111.196.104.1 to 11.196.111.25411.196.111.2552,046
14311.196.112.0/2111.196.112.1 to 11.196.119.25411.196.119.2552,046
14411.196.120.0/2111.196.120.1 to 11.196.127.25411.196.127.2552,046
14511.196.128.0/2111.196.128.1 to 11.196.135.25411.196.135.2552,046
14611.196.136.0/2111.196.136.1 to 11.196.143.25411.196.143.2552,046
14711.196.144.0/2111.196.144.1 to 11.196.151.25411.196.151.2552,046
14811.196.152.0/2111.196.152.1 to 11.196.159.25411.196.159.2552,046
14911.196.160.0/2111.196.160.1 to 11.196.167.25411.196.167.2552,046
15011.196.168.0/2111.196.168.1 to 11.196.175.25411.196.175.2552,046
15111.196.176.0/2111.196.176.1 to 11.196.183.25411.196.183.2552,046
15211.196.184.0/2111.196.184.1 to 11.196.191.25411.196.191.2552,046
15311.196.192.0/2111.196.192.1 to 11.196.199.25411.196.199.2552,046
15411.196.200.0/2111.196.200.1 to 11.196.207.25411.196.207.2552,046
15511.196.208.0/2111.196.208.1 to 11.196.215.25411.196.215.2552,046
15611.196.216.0/2111.196.216.1 to 11.196.223.25411.196.223.2552,046
15711.196.224.0/2111.196.224.1 to 11.196.231.25411.196.231.2552,046
15811.196.232.0/2111.196.232.1 to 11.196.239.25411.196.239.2552,046
15911.196.240.0/2111.196.240.1 to 11.196.247.25411.196.247.2552,046
16011.196.248.0/2111.196.248.1 to 11.196.255.25411.196.255.2552,046
16111.197.0.0/2111.197.0.1 to 11.197.7.25411.197.7.2552,046
16211.197.8.0/2111.197.8.1 to 11.197.15.25411.197.15.2552,046
16311.197.16.0/2111.197.16.1 to 11.197.23.25411.197.23.2552,046
16411.197.24.0/2111.197.24.1 to 11.197.31.25411.197.31.2552,046
16511.197.32.0/2111.197.32.1 to 11.197.39.25411.197.39.2552,046
16611.197.40.0/2111.197.40.1 to 11.197.47.25411.197.47.2552,046
16711.197.48.0/2111.197.48.1 to 11.197.55.25411.197.55.2552,046
16811.197.56.0/2111.197.56.1 to 11.197.63.25411.197.63.2552,046
16911.197.64.0/2111.197.64.1 to 11.197.71.25411.197.71.2552,046
17011.197.72.0/2111.197.72.1 to 11.197.79.25411.197.79.2552,046
17111.197.80.0/2111.197.80.1 to 11.197.87.25411.197.87.2552,046
17211.197.88.0/2111.197.88.1 to 11.197.95.25411.197.95.2552,046
17311.197.96.0/2111.197.96.1 to 11.197.103.25411.197.103.2552,046
17411.197.104.0/2111.197.104.1 to 11.197.111.25411.197.111.2552,046
17511.197.112.0/2111.197.112.1 to 11.197.119.25411.197.119.2552,046
17611.197.120.0/2111.197.120.1 to 11.197.127.25411.197.127.2552,046
17711.197.128.0/2111.197.128.1 to 11.197.135.25411.197.135.2552,046
17811.197.136.0/2111.197.136.1 to 11.197.143.25411.197.143.2552,046
17911.197.144.0/2111.197.144.1 to 11.197.151.25411.197.151.2552,046
18011.197.152.0/2111.197.152.1 to 11.197.159.25411.197.159.2552,046
18111.197.160.0/2111.197.160.1 to 11.197.167.25411.197.167.2552,046
18211.197.168.0/2111.197.168.1 to 11.197.175.25411.197.175.2552,046
18311.197.176.0/2111.197.176.1 to 11.197.183.25411.197.183.2552,046
18411.197.184.0/2111.197.184.1 to 11.197.191.25411.197.191.2552,046
18511.197.192.0/2111.197.192.1 to 11.197.199.25411.197.199.2552,046
18611.197.200.0/2111.197.200.1 to 11.197.207.25411.197.207.2552,046
18711.197.208.0/2111.197.208.1 to 11.197.215.25411.197.215.2552,046
18811.197.216.0/2111.197.216.1 to 11.197.223.25411.197.223.2552,046
18911.197.224.0/2111.197.224.1 to 11.197.231.25411.197.231.2552,046
19011.197.232.0/2111.197.232.1 to 11.197.239.25411.197.239.2552,046
19111.197.240.0/2111.197.240.1 to 11.197.247.25411.197.247.2552,046
19211.197.248.0/2111.197.248.1 to 11.197.255.25411.197.255.2552,046
19311.198.0.0/2111.198.0.1 to 11.198.7.25411.198.7.2552,046
19411.198.8.0/2111.198.8.1 to 11.198.15.25411.198.15.2552,046
19511.198.16.0/2111.198.16.1 to 11.198.23.25411.198.23.2552,046
19611.198.24.0/2111.198.24.1 to 11.198.31.25411.198.31.2552,046
19711.198.32.0/2111.198.32.1 to 11.198.39.25411.198.39.2552,046
19811.198.40.0/2111.198.40.1 to 11.198.47.25411.198.47.2552,046
19911.198.48.0/2111.198.48.1 to 11.198.55.25411.198.55.2552,046
20011.198.56.0/2111.198.56.1 to 11.198.63.25411.198.63.2552,046
20111.198.64.0/2111.198.64.1 to 11.198.71.25411.198.71.2552,046
20211.198.72.0/2111.198.72.1 to 11.198.79.25411.198.79.2552,046
20311.198.80.0/2111.198.80.1 to 11.198.87.25411.198.87.2552,046
20411.198.88.0/2111.198.88.1 to 11.198.95.25411.198.95.2552,046
20511.198.96.0/2111.198.96.1 to 11.198.103.25411.198.103.2552,046
20611.198.104.0/2111.198.104.1 to 11.198.111.25411.198.111.2552,046
20711.198.112.0/2111.198.112.1 to 11.198.119.25411.198.119.2552,046
20811.198.120.0/2111.198.120.1 to 11.198.127.25411.198.127.2552,046
20911.198.128.0/2111.198.128.1 to 11.198.135.25411.198.135.2552,046
21011.198.136.0/2111.198.136.1 to 11.198.143.25411.198.143.2552,046
21111.198.144.0/2111.198.144.1 to 11.198.151.25411.198.151.2552,046
21211.198.152.0/2111.198.152.1 to 11.198.159.25411.198.159.2552,046
21311.198.160.0/2111.198.160.1 to 11.198.167.25411.198.167.2552,046
21411.198.168.0/2111.198.168.1 to 11.198.175.25411.198.175.2552,046
21511.198.176.0/2111.198.176.1 to 11.198.183.25411.198.183.2552,046
21611.198.184.0/2111.198.184.1 to 11.198.191.25411.198.191.2552,046
21711.198.192.0/2111.198.192.1 to 11.198.199.25411.198.199.2552,046
21811.198.200.0/2111.198.200.1 to 11.198.207.25411.198.207.2552,046
21911.198.208.0/2111.198.208.1 to 11.198.215.25411.198.215.2552,046
22011.198.216.0/2111.198.216.1 to 11.198.223.25411.198.223.2552,046
22111.198.224.0/2111.198.224.1 to 11.198.231.25411.198.231.2552,046
22211.198.232.0/2111.198.232.1 to 11.198.239.25411.198.239.2552,046
22311.198.240.0/2111.198.240.1 to 11.198.247.25411.198.247.2552,046
22411.198.248.0/2111.198.248.1 to 11.198.255.25411.198.255.2552,046
22511.199.0.0/2111.199.0.1 to 11.199.7.25411.199.7.2552,046
22611.199.8.0/2111.199.8.1 to 11.199.15.25411.199.15.2552,046
22711.199.16.0/2111.199.16.1 to 11.199.23.25411.199.23.2552,046
22811.199.24.0/2111.199.24.1 to 11.199.31.25411.199.31.2552,046
22911.199.32.0/2111.199.32.1 to 11.199.39.25411.199.39.2552,046
23011.199.40.0/2111.199.40.1 to 11.199.47.25411.199.47.2552,046
23111.199.48.0/2111.199.48.1 to 11.199.55.25411.199.55.2552,046
23211.199.56.0/2111.199.56.1 to 11.199.63.25411.199.63.2552,046
23311.199.64.0/2111.199.64.1 to 11.199.71.25411.199.71.2552,046
23411.199.72.0/2111.199.72.1 to 11.199.79.25411.199.79.2552,046
23511.199.80.0/2111.199.80.1 to 11.199.87.25411.199.87.2552,046
23611.199.88.0/2111.199.88.1 to 11.199.95.25411.199.95.2552,046
23711.199.96.0/2111.199.96.1 to 11.199.103.25411.199.103.2552,046
23811.199.104.0/2111.199.104.1 to 11.199.111.25411.199.111.2552,046
23911.199.112.0/2111.199.112.1 to 11.199.119.25411.199.119.2552,046
24011.199.120.0/2111.199.120.1 to 11.199.127.25411.199.127.2552,046
24111.199.128.0/2111.199.128.1 to 11.199.135.25411.199.135.2552,046
24211.199.136.0/2111.199.136.1 to 11.199.143.25411.199.143.2552,046
24311.199.144.0/2111.199.144.1 to 11.199.151.25411.199.151.2552,046
24411.199.152.0/2111.199.152.1 to 11.199.159.25411.199.159.2552,046
24511.199.160.0/2111.199.160.1 to 11.199.167.25411.199.167.2552,046
24611.199.168.0/2111.199.168.1 to 11.199.175.25411.199.175.2552,046
24711.199.176.0/2111.199.176.1 to 11.199.183.25411.199.183.2552,046
24811.199.184.0/2111.199.184.1 to 11.199.191.25411.199.191.2552,046
24911.199.192.0/2111.199.192.1 to 11.199.199.25411.199.199.2552,046
25011.199.200.0/2111.199.200.1 to 11.199.207.25411.199.207.2552,046
25111.199.208.0/2111.199.208.1 to 11.199.215.25411.199.215.2552,046
25211.199.216.0/2111.199.216.1 to 11.199.223.25411.199.223.2552,046
25311.199.224.0/2111.199.224.1 to 11.199.231.25411.199.231.2552,046
25411.199.232.0/2111.199.232.1 to 11.199.239.25411.199.239.2552,046
25511.199.240.0/2111.199.240.1 to 11.199.247.25411.199.247.2552,046
25611.199.248.0/2111.199.248.1 to 11.199.255.25411.199.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses